Nios® V/II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® V/II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
12600 Discussions

Nios II Application and BSP template creation error

KRoma6
Beginner
1,312 Views

I am looking to create a new "Nios II Application and BSP from Template" but I am getting this error message:

KRoma6_0-1597791609192.png

I followed the steps in "AN 717: Gen II Hardware Development Tutorial".

I am using Quartus 19.4 and followed the steps to install eclipse manually with confirmation of the plugin_customization.ini file.

 

Please help.

 

Thanks,

0 Kudos
11 Replies
WShep1
New Contributor II
1,291 Views

Have you installed the Windows Subsystem for Linux WSL/Ubuntu?  See Nios II Software Developer Handbook (n2sw_nii5v2gen2.pdf) Section 2.1?  The explanation for installing WSL is in the 20.1 version of this Handbook.  I don't know about earlier versions.

0 Kudos
EricMunYew_C_Intel
Moderator
1,277 Views

Hi, Kyle


Can you try to find a new computer to install or remove NiosII EDS and reinstall it?


You may try below manually.

 

1. install WSL for windows

i. https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/hb/nios2/n2sw_nii5v2gen2.pdf (chapter 2.1)

 Note: Windows 10 build version 16215.0 or higher is the recommended operating system version.

ii. After installation has successfully completed, launch Ubuntu 18.04.

iii. Install additional distro packages required for Nios II EDS using the following commands:

 a. sudo apt install wsl

 b. sudo apt install doc2unix

 c. sudo apt install make

 

before"sudo apt install wsl"

run:

sudo apt-get update

 

2. install nios2 eclipse folder

https://www.intel.com/content/altera-www/global/en_us/index/support/support-resources/knowledge-base/tools/2019/why-does-the-nios--ii-not-installed-after-full-installation-of-t.html


Eric



0 Kudos
EricMunYew_C_Intel
Moderator
1,251 Views

Hi, Kyle


Is your problem resolved ?


Can I close this if you have no more inquiry ?


Thanks.


Eric


0 Kudos
aamlb
Beginner
1,248 Views

Hi Eric,

I have the same issue, which I can't create the app and bsp from the eclipse menu.

I use Quartus 19.1 standard edition. All the issues started while my Win10 an automatically update.

Before the update I worked with wsl1 and all was fine, currently had to upgrade to wsl2.

I uninstalled and install the Quartus and the Eclipse all by the book. Did all the recommendation you posted (except the: https://www.intel.com/content/altera-www/global/en_us/index/support/support-resources/knowledge-base/embedded/2019/error--failed-to-execute--wsl---create-this-bsp-no-make.html, which will be very helpful of you can explain how the NIOS command shell should replace the BSP and application generation).

I see in other posts that this is common problem.

I'll be glad if you can instruct how to return the Eclipse back to work.

Thanks, Alon.

0 Kudos
WShep1
New Contributor II
1,245 Views

Hi aamlb,

This might not be the answer that you are looking for, but the only way I have been able to use NIOS 2 SBT in the last year since Intel started using WSL is to go back and use 18.1 which was before the WSL nonsense.  There are several problems with 19.x and 20.x as far as NIOS 2 SBT for Eclipse goes that Intel does not seem to have ready answers for.  Hopefully, they will get their act together in a future release.

Good Luck,

William Sheppard

0 Kudos
EricMunYew_C_Intel
Moderator
1,226 Views

Hi, Alon


You don't have to upgrade to wsl2. Do you mean you don't have problem with wsl1? you may continue with wsl1 if it is working good.


Eric




0 Kudos
aamlb
Beginner
1,224 Views
0 Kudos
EricMunYew_C_Intel
Moderator
1,206 Views

Hi, Alon


Is your problem resolved with wsl 1?


Eric


0 Kudos
aamlb
Beginner
1,194 Views
0 Kudos
Reply